Bug 144464 - pwc module locks a lot of messages
Summary: pwc module locks a lot of messages
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-07 13:15 UTC by Martin
Modified: 2015-01-04 22:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-11 02:57:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin 2005-01-07 13:15:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; de-DE; rv:1.7.5)
Gecko/20041108 Firefox/1.0

Description of problem:
if i use camstream, a webcam programm, 'dmesg' and '/var/log/messages'
shows the following warnings:

the program works, but dmesg locks this messages:

dvb_frontend_stop: thread PID 1515870810 already died
pwc Failed to restore power to the camera! (-32)
pwc Failed to set LED on/off time.
pwc type = 740
pwc type = 740
pwc decode_size = 5.
pwc Using alternate setting 9.
usb_unlink_urb() is deprecated for synchronous unlinks.  Use
usb_kill_urb() instead.
Badness in usb_unlink_urb at drivers/usb/core/urb.c:457
 [<c02768ab>] usb_unlink_urb+0x45/0x7e
 [<e0b1d0b2>] pwc_isoc_cleanup+0x59/0xd5 [pwc]
 [<e0b1d592>] pwc_video_close+0xa3/0x10c [pwc]
 [<c015f6c3>] __fput+0x4e/0xe7
 [<c015e2a0>] filp_close+0x59/0x5f
 [<c0103337>] syscall_call+0x7/0xb
usb_unlink_urb() is deprecated for synchronous unlinks.  Use
usb_kill_urb() instead.
Badness in usb_unlink_urb at drivers/usb/core/urb.c:457
 [<c02768ab>] usb_unlink_urb+0x45/0x7e
 [<e0b1d0b2>] pwc_isoc_cleanup+0x59/0xd5 [pwc]
 [<e0b1d592>] pwc_video_close+0xa3/0x10c [pwc]
 [<c015f6c3>] __fput+0x4e/0xe7
 [<c015e2a0>] filp_close+0x59/0x5f
 [<c0103337>] syscall_call+0x7/0xb



Version-Release number of selected component (if applicable):
kernel-2.6.10-1.727_FC3

How reproducible:
Always

Steps to Reproduce:
start a webtool program
    

Actual Results:  messages as above discribed

Additional info:

Comment 1 Martin 2005-01-07 13:18:09 UTC
Dwaine Garden from the test mailing list wrote:

https://www.redhat.com/archives/fedora-test-list/2005-January/msg00103.html

It's dying on the

usb_unlink_urb()

I had to rewrite the code for the usbvision to fix the bombing.

Look for the following....

errCode = usb_unlink_urb(usbvision->sbuf[bufIdx].urb);
if (errCode < 0)
	err("%s: usb_unlink_urb() failed: error %d", __FUNCTION__, errCode);


Change it to the usb_kill_urb

usb_kill_urb(usbvision->sbuf[bufIdx].urb);
usb_free_urb(usbvision->sbuf[bufIdx].urb);
usbvision->sbuf[bufIdx].urb = NULL;


Make sure to subsitute the usbvision to whatever is used in the pwc
driver.

It should fix it.

Dwaine.

Comment 2 Dave Jones 2005-01-11 02:57:34 UTC
should be fixed in todays updates.



Note You need to log in before you can comment on or make changes to this bug.